{ moduleFunctions }:
let
  inherit (moduleFunctions.instancesFunctions)
    domain0
    sslPath
    sopsPath
    ;

  label = "Prompter";
  name = "prompter";
  subdomain = "prompter";
  domain = "${subdomain}.${domain0}";
in
{
  label = label;
  name = name;
  short = "upRoot";
  sops = {
    path0 = "${sopsPath}/${name}";
  };
  domains = {
    url0 = domain;
  };
  subdomain = subdomain;
  tags = [
    name
    "blog"
  ];
  paths = {
    path0 = "/var/lib/${name}/dist";
    path1 = "";
    path2 = "";
  };
  ports = {
    port0 = 1234;
  };
  ssl = {
    cert = "${sslPath}/${domain0}/fullchain.pem";
    key = "${sslPath}/${domain0}/key.pem";
  };
}
